//
//  NSData-CPExtensions.h
//  PWLicenseKit
//
//  Created by Andreas Knner on 01.06.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSData (CPExtensions)

- (NSRange)rangeOfData:(NSData *)data;
- (NSUInteger)indexOfBytes:(const void *)patternBytes length:(unsigned int)patternLength;
- (NSData*)sha1;
+ (NSData*)dataWithHexadecimalRepresentation:(NSString*)string;
- (id)initWithHexadecimalRepresentation:(NSString*)string;
- (NSString*)hexadecimalRepresentation;

@end
