//
//  NSManagedObject-WRLAdditions.h
//  Weblitz
//
//  Created by Andreas Känner on 21.08.07.
//  Copyright 2007 ProjectWizards. All rights reserved.
//

/*!
 	@header		NSManagedObject (WRLAdditions)
    @abstract   This category collects NSManagedObject methods which are special to the WeblitzAJAX Framework.
*/

#import <Cocoa/Cocoa.h>

/*!
    @category	 NSManagedObject (WRLAdditions)
    @abstract    This category collects NSManagedObject methods which are special to the WeblitzAJAX Framework.
*/

@interface NSManagedObject (WRLAdditions)

/*!
	@method     ajaxObjectIDString
	@abstract   Returns a unique string used to identify managed objects on the client.
*/

- (NSString *)ajaxObjectIDString;

@end
